Pi Durable Platformdocs
ReferenceService accounts

Revoke a key (team owners and admins); takes effect on the next request

DELETE
/v1/teams/{team}/service-accounts/{serviceAccountId}/keys/{keyId}

Path Parameters

team*string

Team slug or ID

serviceAccountId*string
Formatuuid
keyId*string
Formatuuid

Response Body

Success

application/json
  1. response
data*
curl -X DELETE 'https://agents.example.com/v1/teams/string/service-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": {    "ok": true  }}